---
title: WorkerNavigator.locks
slug: Web/API/WorkerNavigator/locks
tags:
  - API
  - Experimental
  - LockManager
  - Property
  - Reference
  - Web Locks API
---
<p>{{SeeCompatTable}}{{APIRef("Web Locks")}}</p>

<p><span class="seoSummary">The <strong><code>locks</code></strong> read-only property of the {{domxref("WorkerNavigator")}} interface returns a {{domxref("LockManager")}} object which provides methods for requesting a new {{domxref('Lock')}} object and querying for an existing <code>Lock</code> object. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>lockManager</var> = Navigator.locks</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("LockManager")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Locks','#navigator-mixins','locks')}}</td>
   <td>{{Spec2('Web Locks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerNavigator.locks")}}</p>
